Skip to main content
GET
/
scim
/
v2
/
Schemas
List or Retrieve schemas
curl --request GET \
  --url https://paradigm.lighton.ai/scim/v2/Schemas \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://paradigm.lighton.ai/scim/v2/Schemas"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://paradigm.lighton.ai/scim/v2/Schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "Resources": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "attributes": [
        {
          "name": "<string>",
          "type": "<string>",
          "multiValued": true,
          "description": "<string>",
          "required": true,
          "caseExact": true,
          "mutability": "<string>",
          "returned": "<string>",
          "uniqueness": "<string>"
        }
      ],
      "meta": {
        "location": "<string>",
        "resourceType": "Schema"
      }
    }
  ],
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ]
}
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "Unauthorized",
"status": 401
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Resources
object[]
required
schemas
string[]